Subject: Re: [PATCH] add Kconfig option for optimizing for cell

From: Segher Boessenkool <[email-masked]>
Date: Sat, 15 Sep 2007 02:50:23 +0200

> +config TUNE_CELL
> +	bool "Optimize for Cell Broadband Engine"
> +	depends on PPC64
> +	help
> +	  Cause the compiler to optimize for the PPE of the Cell Broadband
> +	  Engine. This will make the code run considerably faster on Cell
> +	  but somewhat slower on other machines. This option only changes
> +	  the scheduling of instructions, not the selection of instructions
> +	  itself,

It _does_ change instruction selection, which is the main factor
in the slowdown on other machines (and a big part of the speedup
on Cell, too).  It doesn't change which insns the compiler is
allowed to use though, which is probably what you wanted to say?

Segher